#ifndef APP_IntuiRoot_H
#define APP_IntuiRoot_H
/******************************************************************************
 **
 **	C++ Class Library for the Amiga system software.
 **
 **	Copyright (C) 1994 by Armin Vogt  **  EMail: armin@uni-paderborn.de
 **	All Rights Reserved.
 **
 **	$VER: apphome:APlusPlus/intuition/IntuiRoot.h 1.04 (04.05.94) $
 **	
 ******************************************************************************/

#include <APlusPlus/intuition/ScreenC.h>
#include <APlusPlus/intuition/IntuiObject.h>


void APPmain();

class IntuiRoot : public ScreenC
{
   friend IntuiObject;

   private:
      UWORD iob_count;  // number of currently existing IntuiObjects
		static IntuiRoot *APPIntuiRoot;
		
      IntuiRoot();
      ~IntuiRoot();

   public:
      static BOOL APPinitialise(int argc, char *argv[]);	// returns FALSE on failure
      static void APPexit();
      UWORD getIOBCount() { return iob_count; }
		static ScreenC *getRootScreen() { return (ScreenC*)APPIntuiRoot; }
};


#endif
