/******************************************************************************
 **
 **	C++ Class Library for the Amiga system software.
 **
 **	Copyright (C) 1994 by Armin Vogt  **  EMail: armin@uni-paderborn.de
 **	All Rights Reserved.
 **
 **	$Source: apphome:APlusPlus/RCS/libsource/GT_Scroller.cxx,v $
 **	$Revision: 1.4 $
 **	$Date: 1994/05/08 13:32:59 $
 **	$Author: Armin_Vogt $
 **
 ******************************************************************************/


extern "C" {
#ifdef __GNUG__
#include <inline/intuition.h>
#include <inline/gadtools.h>
#include <inline/utility.h>
#endif

#ifdef __SASC
#include <proto/utility.h>
#include <proto/gadtools.h>
#include <proto/intuition.h>
#endif
}
#include <APlusPlus/intuition/GT_Gadgets/GT_Scroller.h>


volatile static char rcs_id[] = "$Id: GT_Scroller.cxx,v 1.4 1994/05/08 13:32:59 Armin_Vogt Exp Armin_Vogt $";


void GT_Scroller::callback(const IntuiMessageC *imsg)
   /* Scroller gadgets may send GADGETUP,GADGETDOWN and MOUSEMOVE. For all of these messages
      the Code field will contain the new Top value.
   */
{
   // since GT_Gadget sets IDCMP to LISTVIEW_IDCMP per default,
   // also INTUITICKS, which hold no information in the Code field,will arive here!
   if (imsg->getClass()!=CLASS_INTUITICKS)
   {
      setAttrs( AttrList(GTSC_Top,(WORD)imsg->Code,TAG_END) );
   }
}
